import SwiftUI

struct ContentView: View {
    var body: some View {
        TabView {
            NavigationStack {
                ClockView()
            }
            .tabItem {
                Label("Clock", systemImage: "clock")
            }
            
            NavigationStack {
                AlarmView()
            }
            .tabItem {
                Label("Alarms", systemImage: "alarm")
            }
            
            NavigationStack {
                NoiseView()
            }
            .tabItem {
                Label("Noise", systemImage: "waveform")
            }
        }
        .accentColor(.blue)
        .preferredColorScheme(.dark)
    }
}

#Preview {
    ContentView()
}
